Get Store Printer Details
Get Store Printer Details
get/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+storePrinterUidstringRequired
Reference to a storePrinterUid
Responses
200
Example response
application/json
eventTypestring Ā· enumRequiredPossible values:
storePrinterUidstringRequiredPattern:
^[A-Za-z0-9-_]+get/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/printers/{storePrinterUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"printer": {
"printerUid": "text",
"name": "text",
"type": "LABEL",
"availablePrintActions": [
"RECEIPT"
]
},
"eventType": "PICKUP_LABEL",
"storePrinterUid": "text"
}Last updated
Was this helpful?

